# tf::WorkerView class

class to create an immutable view of a worker in an executor

An executor keeps a set of internal worker threads to run tasks. A worker view provides users an immutable interface to observe when a worker runs a task, and the view object is only accessible from an observer derived from tf::ObserverInterface.

## Public functions

auto id() const -> size_t
  queries the worker id associated with its parent executor
auto queue_size() const -> size_t
  queries the size of the queue (i.e., number of pending tasks to run) associated with the worker
auto queue_capacity() const -> size_t
  queries the current capacity of the queue

## Function documentation

### size_t tf::WorkerView::id() const

queries the worker id associated with its parent executor

A worker id is a unsigned integer in the range `[0, N)`, where `N` is the number of workers spawned at the construction time of the executor.

Tab / T to search, Esc to close
…

Search for symbols, directories, files, pages or modules. You can omit any prefix from the symbol or file path; adding a `:` or `/` suffix lists all members of given symbol or directory.

Use ↓ / ↑ to navigate through the list, Enter to go. Tab autocompletes common prefix, you can copy a link to the result using ⌘ L while ⌘ M produces a Markdown link.

Sorry, nothing was found.